Package org.apache.sling.testing.serversetup

## Interface SetupPhase

All Known Implementing Classes:
  `StartRunnableJarPhase`

    public interface SetupPhase

A single phase of the test server setup

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Get the phase ID string, a list of those is used by `ServerSetup` to decide which phases to run
`boolean` `isStartupPhase()` Is this a startup or shutdown phase?
`void` `run​(ServerSetup owner)` Run this phase in the context of supplied ServerSetup

### Method Detail

#### run

    void run​(ServerSetup owner)
      throws Exception

Run this phase in the context of supplied ServerSetup

Throws:
  `Exception`

#### isStartupPhase

    boolean isStartupPhase()

Is this a startup or shutdown phase?

#### getId

    String getId()

Get the phase ID string, a list of those is used by `ServerSetup` to decide which phases to run